EC_LOG_FCT_REGISTER(3)

NAME
ec_log_fct_register - Register a user log function.

SYNOPSIS
#include <ecoli/log.h>

int ec_log_fct_register(
    /*
     * Function pointer that will be invoked for each log call. If the
     * parameter is NULL, ec_log_default_cb() is used.
     */
    ec_log_t  usr_log,
    void     *opaque    /* Opaque pointer passed to the log function. */
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_log_level_set(3), ec_vlog(3), ec_log_level_get(3), ec_log_name(3), ec_log(3), ec_log_default_cb(3), ec_log_type_register(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.